Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class PelletReasonerFactory

    java.lang.Object
      org.mindswap.pellet.jena.PelletReasonerFactory

All Implemented Interfaces:
  com.hp.hpl.jena.reasoner.ReasonerFactory

    public class PelletReasonerFactory

extends java.lang.Object
implements com.hp.hpl.jena.reasoner.ReasonerFactory

Author:
  Evren Sirin

Field Summary
`static com.hp.hpl.jena.ontology.OntModelSpec` | `THE_SPEC`

Method Summary
`com.hp.hpl.jena.reasoner.Reasoner` | `create()`
`com.hp.hpl.jena.reasoner.Reasoner` | `create(com.hp.hpl.jena.rdf.model.Resource configuration)`
`com.hp.hpl.jena.rdf.model.Model` | `getCapabilities()`
`java.lang.String` | `getURI()`
`static PelletReasonerFactory` | `theInstance()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### THE_SPEC

    public static com.hp.hpl.jena.ontology.OntModelSpec THE_SPEC

Method Detail

### theInstance

    public static PelletReasonerFactory theInstance()

### create

    public com.hp.hpl.jena.reasoner.Reasoner create()

### create

    public com.hp.hpl.jena.reasoner.Reasoner create(com.hp.hpl.jena.rdf.model.Resource configuration)

  Specified by:
    `create` in interface `com.hp.hpl.jena.reasoner.ReasonerFactory`

### getCapabilities

    public com.hp.hpl.jena.rdf.model.Model getCapabilities()

  Specified by:
    `getCapabilities` in interface `com.hp.hpl.jena.reasoner.ReasonerFactory`

### getURI

    public java.lang.String getURI()

  Specified by:
    `getURI` in interface `com.hp.hpl.jena.reasoner.ReasonerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.